The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / rpcbind / S30rpcbind
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/rpcbind/S30rpcbind b/cirros-testvm/src-cirros/buildroot-2015.05/package/rpcbind/S30rpcbind
new file mode 100644 (file)
index 0000000..85ebd6f
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# Starts rpcbind.
+#
+
+start() {
+       echo -n "Starting rpcbind: "
+       umask 077
+       start-stop-daemon -S -q -p /var/run/rpcbind.pid --exec /usr/bin/rpcbind
+       echo "OK"
+}
+stop() {
+       echo -n "Stopping rpcbind daemon: "
+       start-stop-daemon -K -q -p /var/run/rpcbind.pid
+       echo "OK"
+}
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart|reload)
+       restart
+       ;;
+  *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?
+